%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.lang.integer).

-export(['band'/2, 'bnot'/1, 'bor'/2, 'bsl'/2, 'bsr'/2, 'bxor'/2,
	 'div'/2, from_string/1, 'rem'/2, to_string/1]).

%% @doc Return the bitwise-and of two integers.
'band'(X,Y) ->
    erl.lang.integer:'band'(X,Y).    % Built-in function

%% @doc Return the bitwise negation of an integer.
'bnot'(X) ->
    erl.lang.integer:'bnot'(X).    % Built-in function

%% @doc Return the bitwise-or of two integers.
'bor'(X,Y) ->
    erl.lang.integer:'bor'(X,Y).    % Built-in function

%% @doc Return the integer <code>X</code> bitwise shifted left
%% <code>N</code> steps.
'bsl'(X,N) ->
    erl.lang.integer:'bsl'(X,N).    % Built-in function

%% @doc Return the integer <code>X</code> bitwise shifted right
%% <code>N</code> steps.
'bsr'(X,N) ->
    erl.lang.integer:'bsr'(X,N).    % Built-in function

%% @doc Return the bitwise-exclusive-or of two integers.
'bxor'(X,Y) ->
    erl.lang.integer:'bxor'(X,Y).    % Built-in function

%% @doc Return the truncated value of <code>X/Y</code>.
'div'(X,Y) ->
    erl.lang.integer:'div'(X,Y).    % Built-in function

%% @doc Return the integer represented by the string.
from_string(String) ->
    erl.lang.integer:from_string(String).    % Built-in function

%% @doc Return the remainder of <code>X</code> divided by
%% <code>Y</code>.
'rem'(X,Y) ->
    erl.lang.integer:'rem'(X,Y).    % Built-in function

%% @doc Return the a string representation of an integer.
to_string(X) ->
    erl.lang.integer:to_string(X).    % Built-in function
