%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.lang.tuple).

-export([append_element/2, element/2, from_list/1, make/2, setelement/3,
	 size/1, to_list/1]).


append_element(Tuple, Term) ->
    erl.lang.tuple:append_element(Tuple, Term).    % Built-in function


element(Index, Tuple) ->
    erl.lang.tuple:element(Index, Tuple).    % Built-in function


from_list(List) ->
    erl.lang.tuple:from_list(List).    % Built-in function


make(Size, Value) ->
    erl.lang.tuple:make(Size, Value).    % Built-in function


setelement(Index, Tuple, Value) ->
    erl.lang.tuple:setelement(Index, Tuple, Value).    % Built-in function


to_list(Tuple) ->
    erl.lang.tuple:to_list(Tuple).    % Built-in function


%% @spec (tuple()) -> integer()
%% @doc Returns the number of elements in a tuple.

size(T) when is_tuple(T) ->
    erl.lang:size(T);
size(T) ->
    erl.lang:error(badarg, [T]).
